Bug 337011 - debugedit mishandles empty DW_AT_comp_dir
debugedit mishandles empty DW_AT_comp_dir
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-17 23:23 EDT by Roland McGrath
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-18 02:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix (771 bytes, patch)
2007-10-17 23:23 EDT, Roland McGrath
no flags Details | Diff

  None (edit)
Description Roland McGrath 2007-10-17 23:23:53 EDT
fpc seems to produce DW_AT_comp_dir with value "" (empty string).
This is dubious, but debugedit makes it even worse by getting confused by it.
Comment 1 Roland McGrath 2007-10-17 23:23:53 EDT
Created attachment 230611 [details]
Comment 2 Panu Matilainen 2007-10-18 02:52:19 EDT
Applied upstream and building into rpm right now, thanks!

Note You need to log in before you can comment on or make changes to this bug.